<TeXmacs|1.0.2.9>

<style|mmxdoc>

<\body>
  <tmdoc-title|History of <value|mmx>>

  At the late ninetees, our wish for a new general purpose computer algebra
  language was motivated by two main reasons: the quasi-absense of free
  computer algebra systems and the non-existence of sufficiently general
  compiled computer algebra languages.

  In the meantime, some progress has been made: on the one hand side the old
  computer algebra systems <name|Maxima> and <name|Axiom> have become free
  and several special purpose C/C++ libraries have become increasingly
  powerful. In parallel, the progress on <value|mmx> has been quite slow,
  mainly due to the fact that we started by writing a compiler.

  Taking into account the above developements, the original design goals of
  <value|mmx> have changed a bit in the direction of making something more
  directly useful. On the one hand side, greater priority is given to the
  incorporation of existing libraries. On the other hand, the language had to
  be adjusted so as to make it possible to rapidly write an interpreter for
  prototyping, without losing the perspective of writing a compiler one day.

  <tmdoc-copyright|2003|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the <hlink|GNU General Public
  License|http://www.gnu.org/licenses/gpl.txt>. If you don't have this file,
  write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.>
</body>

<\initial>
  <\collection>
    <associate|page-even|30mm>
    <associate|page-reduce-bot|15mm>
    <associate|page-reduce-right|25mm>
    <associate|page-reduce-left|25mm>
    <associate|page-top|30mm>
    <associate|page-right|30mm>
    <associate|par-width|150mm>
    <associate|page-odd|30mm>
    <associate|page-bot|30mm>
    <associate|page-reduce-top|15mm>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-1|<tuple|1|?>>
  </collection>
</references>